Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.turbine.modules.screens.error
Class InvalidState

    java.lang.Object
      org.apache.turbine.modules.Assembler
          org.apache.turbine.modules.Screen
              org.apache.turbine.modules.screens.error.InvalidState

    public class InvalidState

extends Screen

Users will get this screen if the screen on their browser is in an invalid state. For example, if they hit "Back" or "Reload" and then try to submit old form data. If you want one of your screens to check for invalid state then add a hidden form field called "_session_access_counter" with the value currently stored in the session. The SessionValidator action will check to see if it is an old value and redirect you to this screen.

Version:
  $Id: InvalidState.java 717934 2008-11-15 21:48:47Z tv $
Author:
  Dave Bryson, Henning P. Schmiedehausen, Peter Courcoux

Field Summary

Fields inherited from class org.apache.turbine.modules.Screen
`CACHE_SIZE_DEFAULT, CACHE_SIZE_KEY, NAME, PREFIX`

Constructor Summary
`InvalidState()`

Method Summary
`org.apache.ecs.ConcreteElement` | `doBuild(PipelineData pipelineData)` Build the Screen.
`org.apache.ecs.ConcreteElement` | `doBuild(RunData data)` Build the Screen.

Methods inherited from class org.apache.turbine.modules.Screen
`build, build, getLayout, getLayout, getPrefix, prepareText, prepareTextMinimum, setLayout, setLayout`

Methods inherited from class org.apache.turbine.modules.Assembler
`getRunData`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### InvalidState

    public InvalidState()

Method Detail

### doBuild

    public org.apache.ecs.ConcreteElement doBuild(RunData data)
                                           throws Exception

  Build the Screen.

  Specified by:
    `doBuild` in class `Screen`
  Parameters:
    `data` - Turbine information.
  Throws:
    `Exception,` - a generic exception.
    `Exception` - a generic exception.

### doBuild

    public org.apache.ecs.ConcreteElement doBuild(PipelineData pipelineData)
                                           throws Exception

  Build the Screen.

  Overrides:
    `doBuild` in class `Screen`
  Parameters:
    `pipelineData` - Turbine information.
  Throws:
    `Exception,` - a generic exception.
    `Exception` - a generic exception.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000-2011 The Apache Software Foundation. All Rights Reserved.